# Workflow Engine
We run our projects in cloud environments inside multi tenant based systems, therefor adding customer related business logic via code changes or external services is an overhead, especially for the little things in life. The `Workflow Engine` does solve this problem.

## What is a workflow?
A `Workflow` consists of `Blocks` which execute some code and `Connections` which connect the different blocks together.

### Block
A `Block` is a piece of code that implements the `WorkflowBlockDefinition` interface. `Blocks` have inputs and outputs, so called `Sockets`. `Blocks` get data via their `Input Sockets` and can output results via their `Output Sockets`.

### Connection

A `Socket Connection` connects 2 `Block Sockets`, e.g. BlockA::Ouput --> BlockB::Input

## Environments
The workflow engine runs in NodeJS as well as your browsers. It can be used to manipulate data in your UI or do long running tasks on a node server.