export declare enum SocketDirection {
    IN = "in",
    OUT = "out"
}
export declare enum SocketType {
    NUMBER = "number",
    NUMBER_ARRAY = "numberarray",
    STRING = "string",
    STRING_ARRAY = "stringarray",
    BOOLEAN = "boolean",
    BOOLEAN_ARRAY = "booleanarray",
    OBJECT = "object",
    OBJECT_ARRAY = "objectarray",
    /**
     * use this input type if no input data is required or no output data can be expected
     */
    UNDEFINED = "undefined"
}
export interface SocketConnection {
    sourceBlockId: string;
    sourceSocketName: string;
    targetBlockId: string;
    targetSocketName: string;
}
export interface Socket {
    name: string;
    type: SocketType;
    direction: SocketDirection;
}
