export declare enum WorkflowLogLevel {
    INFO = "info",
    DEBUG = "debug",
    WARN = "warn",
    ERROR = "error"
}
export interface WorkflowLog {
    timestamp: number;
    blockId: string;
    blockName?: string;
    socketName: string;
    text: string;
    extra?: string;
    level: WorkflowLogLevel;
}
export interface WorkflowLogger {
    addLog(log: WorkflowLog): Promise<void>;
    info(text: string, extra?: string): Promise<void>;
    debug(text: string, extra?: string): Promise<void>;
    warn(text: string, extra?: string): Promise<void>;
    error(text: string, extra?: string): Promise<void>;
    getLogs(): WorkflowLog[];
    setContext(blockId: string, blockName: string, socketName: string): void;
}
export declare class DefaultWorkflowLogger implements WorkflowLogger {
    private logs;
    private blockId;
    private blockName;
    private socketName;
    setContext(blockId: string, blockName: string, socketName: string): void;
    addLog(log: WorkflowLog): Promise<void>;
    debug(text: string, extra?: string): Promise<void>;
    error(text: string, extra?: string): Promise<void>;
    info(text: string, extra?: string): Promise<void>;
    warn(text: string, extra?: string): Promise<void>;
    getLogs(): WorkflowLog[];
}
