import { SocketConnection } from '../models/socket';
import { Workflow, WorkflowExecutionContext, WorkflowExecutionResult } from '../models/workflow';
import { BlockExecutionContext, WorkflowBlock, WorkflowBlockDefinition } from '../models/workflow-block';
import { WorkflowLogger } from './workflow-logger';
export declare class WorkflowEngine {
    protected blockDefinitions: {
        [definitionId: string]: WorkflowBlockDefinition;
    };
    addBlockDefinition(definitionId: string, definition: WorkflowBlockDefinition): void;
    getBlockDefinition(definitionId: string): Promise<WorkflowBlockDefinition>;
    getBlockById(workflow: Workflow, blockId: string): WorkflowBlock;
    getSocketConnectionsBySource(workflow: Workflow, sourceBlockId: string, sourceSocketName: string): SocketConnection[];
    getLogger(): WorkflowLogger;
    triggerWorkflowBlock(workflow: Workflow, blockId: string, blockExecutionContext: BlockExecutionContext, workflowExecutionContext?: WorkflowExecutionContext): Promise<WorkflowExecutionResult>;
}
