import { WorkflowLog, WorkflowLogger } from "../services/workflow-logger";
import { SocketConnection } from "./socket";
import { WorkflowBlock } from "./workflow-block";

export interface WorkflowExecutionContext {
  logger: WorkflowLogger;
  globals?: { [key: string]: any };
}

export enum WorkflowExecutionStatus {
  STARTED = "started",
  RUNNING = "running",
  FINISHED_SUCCESSFULLY = "finishedSuccessfully",
  FINISHED_WITH_ERRORS = "finishedWithErrors"
}

export interface WorkflowExecutionResult {
  /**
   * combined logs from all workflowBlockExecutions
   */
  logs: WorkflowLog[];

  /**
   * the (serialized) data of the last block execution
   */
  data?: string;

  status: WorkflowExecutionStatus;
}

export interface Workflow {
  blocks?: WorkflowBlock[];
  connections?: SocketConnection[];
}
