import { describe, expect, it } from "vitest";
import { SocketDirection, SocketType } from './models/socket';
import { createInputSocket, createOutputSocket, createSocket } from './socket.utils';

describe('Socket Utils', () => {
    it('should create a socket with given name, type, and direction', () => {
        const socket = createSocket('testSocket', SocketType.BOOLEAN, SocketDirection.IN);
        expect(socket).toEqual({
            name: 'testSocket',
            type: SocketType.BOOLEAN,
            direction: SocketDirection.IN
        });
    });

    it('should create an input socket with given name and type', () => {
        const inputSocket = createInputSocket('inputSocket', SocketType.BOOLEAN);
        expect(inputSocket).toEqual({
            name: 'inputSocket',
            type: SocketType.BOOLEAN,
            direction: SocketDirection.IN
        });
    });

    it('should create an output socket with given name and type', () => {
        const outputSocket = createOutputSocket('outputSocket', SocketType.BOOLEAN);
        expect(outputSocket).toEqual({
            name: 'outputSocket',
            type: SocketType.BOOLEAN,
            direction: SocketDirection.OUT
        });
    });
});
