import { Socket, SocketDirection, SocketType } from "./models/socket";

export function createSocket(name: string, type: SocketType, direction: SocketDirection): Socket {
  const socket: Socket = {
    direction,
    name,
    type
  };
  return socket;
}

export function createInputSocket(name: string, type: SocketType): Socket {
  return createSocket(name, type, SocketDirection.IN);
}


export function createOutputSocket(name: string, type: SocketType): Socket {
  return createSocket(name, type, SocketDirection.OUT);
}
